Developer Documentation

Public Types | Public Member Functions | Private Attributes | List of all members
OpenVolumeMesh::VertexFaceIter Class Reference
Inheritance diagram for OpenVolumeMesh::VertexFaceIter:

## Public Types
typedef BaseCirculator< VertexHandle, FaceHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseCirculator< VertexHandle, FaceHandle >
typedef BaseIterator< FaceHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< FaceHandle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const FaceHandle | value_type
typedef const FaceHandle * | pointer
typedef const FaceHandle & | reference

## Public Member Functions
| VertexFaceIter (const VertexHandle &_vIdx, const TopologyKernel *_mesh, int _max_laps=1)
VertexFaceIter | operator++ (int)
VertexFaceIter | operator-- (int)
VertexFaceIter | operator+ (int _n)
VertexFaceIter | operator- (int _n)
VertexFaceIter & | operator+= (int _n)
VertexFaceIter & | operator-= (int _n)
VertexFaceIter & | operator++ ()
VertexFaceIter & | operator-- ()
Public Member Functions inherited from OpenVolumeMesh::BaseCirculator< VertexHandle, FaceHandle >
| BaseCirculator (const TopologyKernel *_mesh, const VertexHandle &_ih, const FaceHandle &_oh, int _max_laps=1)
| BaseCirculator (const TopologyKernel *_mesh, const VertexHandle &_ih, int _max_laps=1)
bool | operator== (const BaseCirculator &_c) const
bool | operator!= (const BaseCirculator &_c) const
bool | operator< (const BaseCirculator &_c) const
BaseCirculator & | operator= (const BaseCirculator &_c)
const VertexHandle & | ref_handle () const
void | lap (int _lap)
int | lap () const
void | max_laps (int _max_laps)
int | max_laps () const
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< FaceHandle >
| BaseIterator (const TopologyKernel *_mesh, const FaceHandle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const FaceHandle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Attributes
std::vector< FaceHandle > | faces_
size_t | cur_index_

## Additional Inherited Members
Protected Attributes inherited from OpenVolumeMesh::BaseCirculator< VertexHandle, FaceHandle >
int | lap_
int | max_laps_
VertexHandle | ref_handle_

## Detailed Description

Definition at line 427 of file Iterators.hh.

The documentation for this class was generated from the following files:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh
- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.cc